{% extends 'base.html.twig' %}

{% block main %}

    <h1>{{ msg('edit-page') }} {{file_path}}</h1>

    <form action="{{path('save')}}" method="post">

        <p>
            <label for="contents" class="form-label">{{msg('page-contents')}}</label>
            <textarea name="contents" id="contents" class="form-control font-monospace" rows="24">{{page.contents}}</textarea>
        </p>

        <p>
            <input type="hidden" name="tool" value="{{ tool.name }}" />
            <input type="hidden" name="lang" value="{{ page.lang }}" />
            <input type="hidden" name="path" value="{{ page.path }}" />
            <input type="hidden" name="token" value="{{ csrf_token('edit-page') }}"/>
            <input type="submit" value="{{ msg('save') }}" class="btn btn-primary" />
            <a href="{{ path('page', {tool:tool.name, lang:page.lang, path:page.path, version:'latest'}) }}" role="button" class="btn btn-secondary">
                {{ msg('cancel') }}
            </a>
        </p>
    </form>

{% endblock %}
